import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listSet(query) {
  return request({
    url: '/project/set/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getSet(id) {
  return request({
    url: '/system/set/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSet(data) {
  return request({
    url: '/project/set/add',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateSet(data) {
  return request({
    url: '/project/set/update',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delSet(id) {
  return request({
    url: '/system/set/' + id,
    method: 'delete'
  })
}
